package Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import pkg.AutoDefault;
import pkg.IdentityWithOnlyIDField;
import pkg.SequenceDefault;
import pkg.TableDefault;
import withgenerators.AutoWithGeneratorAttr;
import withgenerators.IdentityWithGeneratorAttr;
import withgenerators.SequenceWithSG;
import withgenerators.TableWithMissingTG;
import withgenerators.TableWithTG;

public class TestPKStrategies {

    private static EntityManagerFactory emf;
    private static EntityManager em;
    
    public TestPKStrategies() {
    }
    
    public static void main(String[] args) {
        TestPKStrategies qe = new TestPKStrategies();
        
        emf = Persistence.createEntityManagerFactory("TryingPKStrategiesPU");
        em = emf.createEntityManager();
        qe.testIdentity();
    }

    private void testIdentity() {
        em.getTransaction().begin();
        IdentityWithOnlyIDField entity1 = new IdentityWithOnlyIDField();
        IdentityWithOnlyIDField entity2 = new IdentityWithOnlyIDField();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("Identity: Id generated - " + entity1.getId());
        System.out.println("Identity: Id generated - " + entity2.getId());
    }
}
